> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get volume mounts by project ID

> Get volume and snapshot mounts by project ID and optional data plane ID or volume ID



## OpenAPI

````yaml /api-specs/6.3/domino-volumes-api.yaml post /rpc/get-volume-mounts
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers: []
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /rpc/get-volume-mounts:
    post:
      tags:
        - volumes
      summary: Get volume mounts by project ID
      description: >-
        Get volume and snapshot mounts by project ID and optional data plane ID
        or volume ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.ListVolumeMountsRequest'
        description: Filters to apply to returned volume mounts
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/remotefs.VolumeMount'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.ListVolumeMountsRequest:
      properties:
        dataPlaneIds:
          items:
            type: string
          type: array
        projectIds:
          items:
            type: string
          type: array
        volumeIds:
          items:
            type: string
          type: array
      required:
        - projectIds
      type: object
    remotefs.VolumeMount:
      properties:
        canUserWrite:
          type: boolean
        latestSnapshotTagSubPaths:
          items:
            $ref: '#/components/schemas/remotefs.SnapshotTagSubPath'
          type: array
        name:
          type: string
        persistentVolumeClaimName:
          type: string
        snapshotSubPath:
          type: string
        subPath:
          type: string
        volumeId:
          type: string
      required:
        - canUserWrite
        - latestSnapshotTagSubPaths
        - name
        - persistentVolumeClaimName
        - snapshotSubPath
        - subPath
        - volumeId
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.SnapshotTagSubPath:
      properties:
        subPath:
          type: string
        tagName:
          type: string
      required:
        - subPath
        - tagName
      type: object

````